Bug 1303226 - qemu: Use-after-free vulnerability when unplugging devices
qemu: Use-after-free vulnerability when unplugging devices
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150803,reported=2...
: Security
Depends On:
Blocks: 1305966
  Show dependency treegraph
 
Reported: 2016-01-29 16:27 EST by Adam Mariš
Modified: 2016-04-26 09:27 EDT (History)
39 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-11 01:20:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-01-29 16:27:27 EST
Qemu emulator built with the IDE Emulation with PCI PIIX3/4 support is vulnerable to a use after free flaw. It occurs while unplugging the IDE device in pci_piix3_xen_ide_unplug in Xen virtualisation setup.

A privileged user inside guest could use this issue to crash the Qemu process resulting in DoS.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commitdiff;h=6cd387833d05e8ad31829d97e47

Note You need to log in before you can comment on or make changes to this bug.